Subject: RE: Carrier ENUM Definition (was RE: [Enum] Agenda items forIETF Paris)

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 26 Jul 2005 10:52:46 -0400

Clive,

You have made some assumptions about what my mother's contract says and
about what business relationship I might have with the terminating telco
my mother uses.  Let's say for arguments sake, that I do have a business
relationship with them, or that my mother's contract says that they will
terminate calls from the wild wild Internet.  Let's say that the
terminating carrier has a nice IVR system that will take credit or debit
card input to complete the call.  Could they not sell calling cards at
the local convenience store to recent immigrants with no credit history,
that can use them on an IP pay-phone connected only to the local ISP to
provide Internet access?

Do you still feel it necessary to prohibit a carrier from including
public interconnect points in Carrier ENUM and allowing public access to
Carrier ENUM?

I don't think it right to shut down possibilities, just because it
doesn't match a particular business model you have in mind.  So, please
keep the call control and business aspects orthogonal to the ENUM
capabilities.

Mike

> -----Original Message-----
> From: Clive D.W. Feather [mailto:clive at demon.net] 
> Sent: Tuesday, July 26, 2005 5:15 AM
> To: Michael Hammer (mhammer)
> Cc: Michael Haberler; enum at ietf.org
> Subject: Re: Carrier ENUM Definition (was RE: [Enum] Agenda 
> items forIETF Paris)
> 
> Michael Hammer (mhammer) said:
> >> did you contract a telco to route that number in the PSTN once you 
> >> got it, or not?
> > 
> > This number could have been set aside as a VoIP number, 
> thus the PSTN 
> > would route a call to a PSTN gateway that should look it up in User 
> > ENUM and could route over the Internet to me.  Of course 
> there is no 
> > regulation requiring them to do so.  But, if they didn't you would 
> > find such numbers useless, begging the question of why a national 
> > public resource is wasted.  The caller has contracted with 
> the carrier 
> > to deliver the call, so why should the carrier not attempt 
> to deliver it?
> 
> Because they have no path to do so.
> 
> For many years, my telco wouldn't deliver calls to various 
> country codes because they didn't have interconnection agreements.
> 
> In the UK, Directory Enquiries is a competitive service using 
> the (non-E.164) number range 118000 to 118999. My carrier, 
> however, will only connect me to exactly two of those 
> numbers; they haven't bothered to set up an interconnection 
> agreement with the operators of the other 998.
> 
> In both cases, "contracted with" is JUST PLAIN WRONG - the 
> contract excludes numbers not reachable for such reasons.
> 
> [Most UK numbers are reachable from one another because BT 
> has a regulatory obligation to provide both interconnect and 
> transit to all comers. However, some combinations don't work 
> because the originating carrier isn't willing to charge a 
> high enough call cost to cover the transit and termination 
> fees involved.]
> 
> > You've turned the problem around.  Please stick with the 
> given scenario.
> > My mother, party B, ie the called party IS a carrier 
> customer.  And I 
> > as the caller am both User ENUM and Carrier ENUM aware.
> 
> Do you have a call termination agreement with either your 
> mother's telco, or with a telco who does and who is willing 
> to provide transit? If not, then it's *YOUR* fault, not anyone else's.
> 
> > So, why wouldn't
> > the carrier deliver the service to my mother that she is paying for?
> 
> She may need to re-read her contract.
> 
> >> No, your recourse is to contract a telco to route that 
> number in the 
> >> PSTN,
> > But, I don't want to route the call through the PSTN at 
> all, I want to 
> > route the call through the Internet to the carrier VoIP network 
> > serving
> > (supposedly) my mother!
> 
> That carrier network has costs. How are you proposing they be 
> paid, and by whom?
> 
> -- 
> Clive D.W. Feather  | Work:  <clive at demon.net>   | Tel:    
> +44 20 8495 6138
> Internet Expert     | Home:  <clive at davros.org>  | Fax:    
> +44 870 051 9937
> Demon Internet      | WWW: http://www.davros.org | Mobile: 
> +44 7973 377646
> Thus plc            |                            |
> 

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Otmar Lendl <[email-masked]>
Date: Tue, 26 Jul 2005 11:59:31 -0400

> public interconnect points in Carrier ENUM and allowing public access to

I wouldn't prohibit carriers from having public interconnect points and
listing them in Carrier ENUM. I can't recall anybody here advocating
such a prohibition.

But I wouldn't require them to do so, either. The current assumptions in
User ENUM basically mandate this which is one reason why carriers don't
adopt ENUM. (The other one is the end-user opt-in requirement.)

/ol
-- 
< Otmar Lendl (lendl at nic.at) | nic.at Systems Engineer >